> ## Documentation Index
> Fetch the complete documentation index at: https://docs.letterby.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Actions

> Returns actions from the system that the user has access to



## OpenAPI

````yaml GET /actions
openapi: 3.0.1
info:
  title: OpenAPI Letterby
  description: API for Letterby
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://letterby.com/api/v4
security:
  - apiKeyAuth: []
paths:
  /actions:
    get:
      description: Returns actions from the system that the user has access to
      parameters:
        - name: contactId
          in: query
          description: Filter actions by contact ID
          schema:
            type: string
      responses:
        '200':
          description: Actions response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      actions:
                        type: array
                        items:
                          $ref: '#/components/schemas/Action'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    Action:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the action
        name:
          type: string
          description: Name of the action
        increase:
          type: integer
          description: Points to increase
        createdAt:
          type: string
          format: date-time
          description: When the action was created
        updatedAt:
          type: string
          format: date-time
          description: When the action was last updated
        subId:
          type: string
          description: ID of the contact performing the action
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  responses:
    Unauthorized:
      description: Unauthorized - Invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
      description: API key to authorize requests

````